<div align="center">

![EasyFXML logo](doc/logo_plain_svg.svg)

##### A collection of tools and libraries for easier development on the _JavaFX_ platform</h5>

[![Build status](https://img.shields.io/circleci/build/github/Tristan971/EasyFXML.svg?style=for-the-badge)](https://circleci.com/gh/Tristan971/EasyFXML)
[![Maven Central](https://img.shields.io/maven-central/v/moe.tristan/easyfxml-parent.svg?style=for-the-badge)](https://search.maven.org/artifact/moe.tristan/easyfxml-parent)
[![License](https://img.shields.io/github/license/Tristan971/EasyFXML.svg?style=for-the-badge)](https://app.fossa.io/projects/git%2Bgithub.com%2FTristan971%2FEasyFXML?ref=badge_shield)

[![Maintainability](https://api.codeclimate.com/v1/badges/89c1e95e4d5d41b35d9f/maintainability)](https://codeclimate.com/github/Tristan971/EasyFXML/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/89c1e95e4d5d41b35d9f/test_coverage)](https://codeclimate.com/github/Tristan971/EasyFXML/test_coverage)
[![Known Vulnerabilities](https://snyk.io/test/github/tristan971/easyfxml/badge.svg?targetFile=pom.xml)](https://snyk.io/test/github/tristan971/easyfxml?targetFile=pom.xml)

</div>

EasyFXML is an opinionated set of tools aiming to simplify development of robust and modular _JavaFX_ applications.

The project is divided in multiple modules (each explicitly opt-in apart from the eponym core one). Feel free to have a look around:

- **[EasyFXML](easyfxml) MVC framework for declarative definition and reuse of components**
- **[EasyFXML - JUnit](easyfxml-junit) Async-first testing infrastructure for _JavaFX_ components**
- **[EasyFXML - Docker](easyfxml-docker) Docker image for easy setup of CI for _JavaFX_ applications**
- **[EasyFXML - FXKit](easyfxml-fxkit) Ready-made boilerplate for common component types**
- **[EasyFXML - Native](easyfxml-native) Support for platform-specific features (self-updates, native system notifications...)**
- **[EasyFXML - Samples](easyfxml-samples) Learn EasyFXML by example**

## Notes
This project makes heavy (and sometimes non-obvious) use of _JavaFX_ and _Spring Boot_ features, and requires knowledge of both for
optimal experience. You can go head-first without that prior knowledge, but it might not be quite ideal is all.

## Licensing and contributions
All contributions are welcome, both as questions, constructive criticism, feature requests and of course pull requests.

There is not yet a clear organization for making first-contributions easy, but a good rule of thumb is to ensure opening an issue
before making a pull-request so that the technical implementation's requirements can be discussed before work is done. Then, crack on! :-)

[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/0)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/0)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/1)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/1)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/2)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/2)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/3)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/3)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/4)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/4)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/5)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/5)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/6)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/6)[![](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/images/7)](https://sourcerer.io/fame/Tristan971/Tristan971/EasyFXML/links/7)

[![FOSSA Status](https://app.fossa.io/api/projects/git%2Bgithub.com%2FTristan971%2FEasyFXML.svg?type=large)](https://app.fossa.io/projects/git%2Bgithub.com%2FTristan971%2FEasyFXML?ref=badge_large)
